#!/bin/bash
function stop_cups() { 
	/etc/init.d/cups stop
} 
function start_cups() {
	/etc/init.d/cups start
}
function handle_error() {
    errcode=$? # save the exit code as the first thing done in the trap function
    echo "error $errorcode"
    echo "the command executing at the time of the error was"
    echo "$BASH_COMMAND"
    echo "on line ${BASH_LINENO[0]}"
    exit $?
}
function handle_error_restorecups() {
	errocode = $?
	start_cups
	handle_error $errcode 
}
function restore_hp_backend() {
	if [ -h /usr/lib/cups/backend/hp -a "$(readlink /usr/lib/cups/backend/hp)" == "/opt/printspy/backend/bin/psbackend" ]; then 
		mv /usr/lib/cups/backend/hpprintspy /usr/lib/cups/backend/hp
	fi 
}

trap handle_error ERR
if [ "$(id -u)" != "0" ]; then 
	echo "Usage: sudo ./attach-all.sh" 1>&2
	exit 1 
fi 
stop_cups 
trap handle_error_restorecups ERR
restore_hp_backend
sed -i.before-printspy-unattach 's/hpprintspy://' /etc/cups/printers.conf
sed -i 's/printspy://' /etc/cups/printers.conf
start_cups
