===============================================================================
# PRINTSPY - Solução para bilhetagem e controle do custo de impressão 
** PrintSpy Backend para Cups ** 
Copyright - Axen Informática LTDA (c) 2017
Versão 2.3.3
-------------------------------------------------------------------------------
Contato: 
11 3522-9450 
http://printspy.com
printspy@printspy.info
===============================================================================

## REQUISITOS

1. Esta versão do produto é compatível com CUPS. É preferível ter o CUPS instalado e configurado antes de iniciar a instalação. 

2. Este produto requer o kernel 2.6 do Linux. 

## ARQUITETURA E COMPONENTES 

1. Este pacote de software contém o PrintSpy Backend (psbackend). O PrintSpy Backend é o componente responsável pela contabilização de páginas e integração com a arquitetura do ambiente de impressão sendo disparado automaticamente pelo spooler quando um novo job é realizado. O PrintSpy Backend deve ser configurado para encaminhar dados a um PrintSpy Client:

		----------------------------------------------------------
		| PrintSpy Backend -> PrintSpy Client -> PrintSpy Server |
		----------------------------------------------------------

## INTEGRANDO AUTOMATICAMENTE O BACKEND A TODAS AS FILAS DE IMPRESSÃO 

1. Este script irá inserir o texto "printspy:" na URI de todas as filas de impressão instaladas. Se for realizada a instalação de uma fila nova no computador é preciso repetir o procedimento para realizar a nova vinculação. 

2. Entre na pasta /opt/printspy/backend/bin e rode o script attach-all.sh como supervisor: 
	sudo attach-all.sh 

## REMOVENDO AUTOMATICAMENTE A INTEGRAÇÃO COM TODAS AS IMPRESSORAS

1. Este script irá remover o texto "printspy:" na URI de todas as filas de impressão instaladas. 

2. Entre na pasta /opt/printspy/backend/bin e rode o script unattach-all.sh como supervisor: 
	sudo unattach-all.sh 

## INTEGRANDO MANUALMENTE O BACKEND A DETERMINADAS FILAS DE IMPRESSÃO

1. Para integrar o PrintSpy Backend manualmente a uma determinada impressora é necessário alterar a URI da impressora na interfaçe de administração do CUPS e incluir o texto "printspy:" (sem as aspas) antes da informação original da URI. Exemplos: 

	* URI original
		http://192.168.1.119:631
		lpd://192.168.1.119/printerq

	* URI modificada
		printspy:http://192.168.1.119:631
		printspy:lpd://192.168.1.119/printerq

## CONFIGURANDO UM NUMERO DE PORTA DIFERENTE

1. O PrintSpy Backend comunica-se com o PrintSpy Client instalado localmente através da porta padrão 7002. Caso seja necessário utilizar um número de porta diferente crie um arquivo backend.conf na pasta /opt/printspy/backend/etc informando duas linhas de configuração: 
	* server = localhost 
	* port = seu_numero_de_porta 

2. Certifique-se de definir este número de porta também na configuração de porta local do client. Consulte o arquivo readme.md em /opt/printspy/client/doc para instruções. 

3. PS: O local deste arquivo não é a pasta padrão de configurações no Linux devido a limitações de acesso de backends promovidas por alterações no CUPS 2.1.0. 

## SOLUCIONANDO PROBLEMAS 

1. Qualquer problema na execução do PrintSpy Backend será reportado no próprio log de erros do CUPS (/var/log/cups/error_log). As mensagens oriundas do PrintSpy Backend começam com o rótulo "PrintSpy:".

